global:
  scrape_interval: 15s
  evaluation_interval: 15s
scrape_configs:
#  - job_name: "prometheus"
#    static_configs:
#      - targets: ["localhost:9090"]

  - job_name: "consul_exporter"
    static_configs:
      - targets: ["localhost:9107"]

# node exporter configuration, 
  - job_name: "node"
    consul_sd_configs:
      - server: "localhost:8500"
        services: [nodeexporter]
    relabel_configs:
      - source_labels: [__address__]
        target_label: instance

  - job_name: consul
    metrics_path: '/v1/agent/metrics'
    scheme: http
    params: 
      format: ["prometheus"]  
    static_configs:
      - targets:
        - localhost:8500

  - job_name: 'blackbox'
    metrics_path: /probe
    params:
      module: [http_2xx]
    consul_sd_configs:
      - server: 'localhost:8500'
        services: [webserver]
    relabel_configs:
      - source_labels: ['__meta_consul_address']
        target_label:  '__address__'
        separator: ';'
        replacement: '$1'
      - source_labels: ['__meta_consul_node']
        target_label:  'instance'
      - source_labels: ['__meta_consul_dc']
        target_label:  'group'
      # strip off the port if it's there (default from consul)
      - source_labels: ['__address__']
        target_label: '__param_target'
        regex: '([^:]+)(:.*)?'
        replacement: '$1:8080'
      - target_label: '__address__'
        replacement: 'localhost:9115'

